Skip to main content
POST
/
v1
/
trakt_add_to_history
trakt_add_to_history
curl --request POST \
  --url https://api.fetchbean.com/v1/trakt_add_to_history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "imdb_id": "<string>",
  "tmdb_id": 123,
  "trakt_id": 123,
  "slug": "<string>",
  "movies": [
    {}
  ],
  "shows": [
    {}
  ],
  "seasons": [
    {}
  ],
  "episodes": [
    {}
  ],
  "watched_at": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Your fetchbean API key (fb_…).

Body

application/json
type
string
imdb_id
string
tmdb_id
integer
trakt_id
integer
slug
string
movies
object[]
shows
object[]
seasons
object[]
episodes
object[]
watched_at
string

Response

Success

The response is of type object.